## golang-github-go-llsqlite-crawshaw 0.6.0

=== Makefile ===
## Copyright (c) 2018 David Crawshaw <david@zentus.com>
##
## Permission to use, copy, modify, and distribute this software for any
## purpose with or without fee is hereby granted, provided that the above
## copyright notice and this permission notice appear in all copies.
##
## THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
## WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
## MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
## ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
## WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
## ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
## OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

# This Makefile is simply for development purposes. Normally, when this package
# is imported, Go will build the ./c/sqlite.c file that is included directly by
# static.go. However this is pretty slow ~30s. When developing this is very
# annoying. Use this Makefile to pre-build the sqlite3.o object and then build
# the package with the build tag linksqlite3, which will ignore static.go and
# use link.go instead to link against sqlite.o. This reduces compilation times
# down to <3 sec!
#
# If you are using an editor that builds the project as you work on it, you'll
# want to build the sqlite3.o object and tell your editor to use the
# linksqlite3 go build tag when working on this project.
# For vim-go, use the command `GoBuildTags linksqlite3` or
# 	`let g:go_build_tags = # 'linksqlite3'`

export GOFLAGS=-tags=linksqlite3

.PHONY: clean all env test release
all: sqlite3.o
	go build ./...

test: sqlite3.o
	go test  ./...

test-race: sqlite3.o
	go test -race  ./...
env:
	go env

## This builds the package statically.
release:
	go build -tags=!linksqlite3

VPATH = ./c # Look in ./c for source files

# !!! THESE DEFINES SHOULD MATCH sqlite.go for linux !!!
CFLAGS += -std=c99
CFLAGS += -DSQLITE_THREADSAFE=2
CFLAGS += -DSQLITE_DEFAULT_WAL_SYNCHRONOUS=1
CFLAGS += -DSQLITE_ENABLE_UNLOCK_NOTIFY
CFLAGS += -DSQLITE_ENABLE_FTS5
CFLAGS += -DSQLITE_ENABLE_RTREE
CFLAGS += -DSQLITE_LIKE_DOESNT_MATCH_BLOBS
CFLAGS += -DSQLITE_OMIT_DEPRECATED
CFLAGS += -DSQLITE_ENABLE_JSON1
CFLAGS += -DSQLITE_ENABLE_SESSION
CFLAGS += -DSQLITE_ENABLE_SNAPSHOT
CFLAGS += -DSQLITE_ENABLE_PREUPDATE_HOOK
CFLAGS += -DSQLITE_USE_ALLOCA
CFLAGS += -DSQLITE_ENABLE_COLUMN_METADATA
CFLAGS += -DHAVE_USLEEP=1
CFLAGS += -DSQLITE_DQS=0
CFLAGS += -DSQLITE_ENABLE_GEOPOLY
LDFLAGS = -ldl -lm
# !!! THESE DEFINES SHOULD MATCH sqlite.go !!!

sqlite3.o: sqlite3.c sqlite3.h sqlite3ext.h


clean:
	rm -f sqlite3.o

## golang-github-go-llsqlite-crawshaw 0.5.5

=== debian/changelog ===
golang-github-go-llsqlite-crawshaw (0.5.5-2) unstable; urgency=medium

  * Standards-Version: 4.7.1.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 23 Feb 2025 08:08:11 +0100

golang-github-go-llsqlite-crawshaw (0.5.5-1) unstable; urgency=medium

  * Initial release (Closes: #1095308)

 -- Simon Josefsson <simon@josefsson.org>  Thu, 06 Feb 2025 22:45:33 +0100

=== debian/control ===
Source: golang-github-go-llsqlite-crawshaw
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-anacrolix-chansync-dev,
 golang-github-anacrolix-sync-dev,
 golang-github-frankban-quicktest-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-llsqlite-crawshaw
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-llsqlite-crawshaw.git
Homepage: https://github.com/go-llsqlite/crawshaw
XS-Go-Import-Path: github.com/go-llsqlite/crawshaw

Package: golang-github-go-llsqlite-crawshaw-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-anacrolix-chansync-dev,
 golang-github-anacrolix-sync-dev,
 golang-github-frankban-quicktest-dev,
 ${misc:Depends},
Description: low-level Go interface to SQLite 3 using cgo (Go library)
 Low-level Go interface to SQLite
 .
 This project is a community-managed fork of:
 https://github.com/crawshaw/sqlite
 Also known as the namespace: crawshaw.io/sqlite
 .
 This package contains the Go development library.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/go-llsqlite/crawshaw/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-go-llsqlite-crawshaw 0.6.0

=== debian/changelog ===
golang-github-go-llsqlite-crawshaw (0.6.0-1) unstable; urgency=medium

  * salsa-ci: Build reverse deps.
  * Standards-Version: 4.7.2.
  * New upstream version 0.6.0

 -- Simon Josefsson <simon@josefsson.org>  Sat, 16 Aug 2025 15:41:15 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  golang-github-anacrolix-sync-dev,
  golang-github-frankban-quicktest-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-llsqlite-crawshaw
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-llsqlite-crawshaw.git
 Homepage: https://github.com/go-llsqlite/crawshaw
